Create a number range
curl --request POST \
--url https://api.example.com/api/number-ranges \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_id": 1,
"start": 11,
"title": "Range 2",
"end": 20,
"latest_value": 12,
"increase_by": 1,
"prefix": "A",
"suffix": "B",
"padding": "4"
}
'import requests
url = "https://api.example.com/api/number-ranges"
payload = {
"company_id": 1,
"start": 11,
"title": "Range 2",
"end": 20,
"latest_value": 12,
"increase_by": 1,
"prefix": "A",
"suffix": "B",
"padding": "4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_id: 1,
start: 11,
title: 'Range 2',
end: 20,
latest_value: 12,
increase_by: 1,
prefix: 'A',
suffix: 'B',
padding: '4'
})
};
fetch('https://api.example.com/api/number-ranges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 4,
"title": "Range 2",
"start": 11,
"end": 20,
"latest_value": 12,
"increase_by": 1,
"prefix": "A",
"suffix": "B",
"padding": "4",
"company": {
"id": 1,
"name": "Company 1"
}
}
}Number Ranges
Create a number range
POST
/
api
/
number-ranges
Create a number range
Authorizations
Enter your JWT token in the format 'Bearer '
Body
application/json
Response
Number range created successfully
Show child attributes
Show child attributes
⌘I